အကြောင်းအရာသို့ ကျော်ရန်

Nano Banana 2 Lite

ပေါင်းစည်းရန်

မော်ဒယ် id google/nano-banana-2-lite
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/nano-banana-2-lite?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၄၃ $ ၄၃ API ခရက်ဒစ် · ≈ ၄.၆၃ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Google စာသားမှ ပုံ မြန်ဆန်

အလွန်ကွဲပြားသော အချိုးအစားများနှင့် ရွေးချယ်နိုင်သော စဉ်းစားမှုပါဝင်သည့် ပေါ့ပါးသော ဒုတိယမျိုးဆက် စာသားမှပုံ မော်ဒယ်

Google · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 88 / 50000

ပုံဖန်တီးရန် အသုံးပြုသည့် စာသားညွှန်ကြားချက်များ။

မူလ auto

ဖန်တီးမည့်ပုံ၏ aspect ratio ကို 4:1၊ 1:4၊ 8:1၊ 1:8 ကဲ့သို့ အလွန်အမင်းရွေးချယ်စရာများအပါအဝင် တိတိကျကျ ရွေးပါ၊ သို့မဟုတ် မော်ဒယ်က ပရောမ့်အပေါ်မူတည်၍ ရွေးချယ်စေရန် "auto" ကို ရွေးပါ။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် system_prompt · output_format · safety_tolerance · thinking_level · seed · limit_generations
0 / 50000

Gemini သို့ system instruction အဖြစ် သို့မဟုတ် OpenAI-compatible provider များသို့ system message အဖြစ် ပေးပို့မည့် တောင်းဆိုချက် တစ်ခုလုံးအတွက် ရွေးချယ်နိုင်သော persona နှင့် ထွက်ရလဒ်ပုံစံ လမ်းညွှန်ချက်။ တန်ဖိုးဗလာဖြစ်ပါက ဤ instruction အတွက် မည်သည့်အရာမျှ ပေးပို့မည်မဟုတ်ပါ။

output_format မူလ png

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

safety_tolerance မူလ 4

အတင်းကျပ်ဆုံးအဆင့် 1 ဖြစ်ပြီး အကြောင်းအရာအများစုကို ပိတ်ဆို့သည့် အနည်းဆုံးကန့်သတ်မှုအဆင့် 6 နှင့် အကြား content-moderation ခံနိုင်ရည်ကို သတ်မှတ်ပါ။

thinking_level

'minimal' သို့မဟုတ် 'high' ကို ရွေး၍ ထိုအဆင့်တွင် မော်ဒယ်၏ thinking ကို ဖွင့်ကာ ၎င်း၏ အတွေးများကို ဖန်တီးမှုထဲတွင် ထည့်သွင်းပါ။ အဆင့်ကို မသတ်မှတ်ထားပါက thinking ကို ပိတ်ထားမည်။

ကျပန်းနံပါတ်ဖန်တီးမှုကို စတင်ပေးသည့် seed တန်ဖိုး။

POST /run/google/nano-banana-2-lite?wait=20 ကုန်ကျစရိတ် → ၀.၀၄၃ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/nano-banana-2-lite?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Nano Banana 2 Lite အကြောင်း

အက္ခရာ 50000 အထိရှိသော `prompt` မှ ပုံ 1 မှ 4 ပုံအထိ ဖန်တီးသည်။ `aspect_ratio` သည် 4:1၊ 1:4၊ 8:1 နှင့် 1:8 ကဲ့သို့ အလွန်ကျယ်ပြန့်သော ရွေးချယ်စရာများအပါအဝင် အများအပြားကို ပံ့ပိုးပြီး auto ကိုလည်း အသုံးပြုနိုင်သည်။ ထွက်ရလဒ်သည် png၊ jpeg သို့မဟုတ် webp ဖြစ်နိုင်သည်။ `system_prompt` ဖြင့် စတိုင်ကို ထိန်းချုပ်နိုင်ပြီး `thinking_level` ဖြင့် minimal သို့မဟုတ် high စဉ်းစားမှုကို ဖွင့်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၅၀,၀၀၀ လုံးထက် မပိုပါစာလုံး ၃ လုံးထက် မနည်းပါ
ပုံဖန်တီးရန် အသုံးပြုသည့် စာသားညွှန်ကြားချက်များ။
system_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
စာလုံး ၅၀,၀၀၀ လုံးထက် မပိုပါ
Gemini သို့ system instruction အဖြစ် သို့မဟုတ် OpenAI-compatible provider များသို့ system message အဖြစ် ပေးပို့မည့် တောင်းဆိုချက် တစ်ခုလုံးအတွက် ရွေးချယ်နိုင်သော persona နှင့် ထွက်ရလဒ်ပုံစံ လမ်းညွှန်ချက်။ တန်ဖိုးဗလာဖြစ်ပါက ဤ instruction အတွက် မည်သည့်အရာမျှ ပေးပို့မည်မဟုတ်ပါ။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
ဖန်တီးမည့်ပုံ၏ aspect ratio ကို 4:1၊ 1:4၊ 8:1၊ 1:8 ကဲ့သို့ အလွန်အမင်းရွေးချယ်စရာများအပါအဝင် တိတိကျကျ ရွေးပါ၊ သို့မဟုတ် မော်ဒယ်က ပရောမ့်အပေါ်မူတည်၍ ရွေးချယ်စေရန် "auto" ကို ရွေးပါ။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၄
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ကျပန်းနံပါတ်ဖန်တီးမှုကို စတင်ပေးသည့် seed တန်ဖိုး။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးpng
jpegpngwebp
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
safety_toleranceရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး4
123456
အတင်းကျပ်ဆုံးအဆင့် 1 ဖြစ်ပြီး အကြောင်းအရာအများစုကို ပိတ်ဆို့သည့် အနည်းဆုံးကန့်သတ်မှုအဆင့် 6 နှင့် အကြား content-moderation ခံနိုင်ရည်ကို သတ်မှတ်ပါ။
limit_generationsရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဖွင့်ထားသောအခါ အရည်အသွေးကို သက်ရောက်နိုင်သည့် စမ်းသပ်ဆဲ ဖန်တီးမှုကန့်သတ်ချက်။ `True` ဖြစ်ပါက prompting round တစ်ကြိမ်စီကို ဖန်တီးမှု 1 ခုသာဖြစ်စေရန် ကန့်သတ်ပြီး ပရောမ့်ထဲရှိ ပုံအရေအတွက်ညွှန်ကြားချက်များကို အစားထိုးကာ မော်ဒယ်ဖန်တီးသည့် အလယ်အလတ်ပုံများကို လျစ်လျူရှုသည်။
thinking_levelရွေးချယ်နိုင်သည်
အမျိုးအစားenum
minimalhigh
'minimal' သို့မဟုတ် 'high' ကို ရွေး၍ ထိုအဆင့်တွင် မော်ဒယ်၏ thinking ကို ဖွင့်ကာ ၎င်း၏ အတွေးများကို ဖန်တီးမှုထဲတွင် ထည့်သွင်းပါ။ အဆင့်ကို မသတ်မှတ်ထားပါက thinking ကို ပိတ်ထားမည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/nano-banana-2-lite",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 43,
    "usd": "0.043",
    "charged": 43,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, content_type, file_name, file_size, width, height}မော်ဒယ်မှ ထုတ်လုပ်ထားသောပုံများ။
description
stringဖန်တီးထားသောပုံများနှင့်အတူ ပါဝင်သည့် ဖော်ပြချက်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ပုံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/google/nano-banana-2-lite.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt